iPhone 3G on 4.2.1 with 06.15.00 downgrade baseband?

Discussion in 'Jailbreaks and iOS Hacks' started by kriista1234, Apr 5, 2011.

  1. kriista1234 macrumors regular

    Joined:
    Jan 12, 2008
    #1
    I had to unlock via the 06.15.00 iPad baseband a few months ago when that's what was available.

    I no longer have a dedicated GPS so I wanted to use the iPhone GPS and it turns out the iPad baseband kills the GPS on the iPhone 3G.

    I did some searching but didn't find anything specifically on this.

    Is there a more recent firmware/baseband/unlock than 4.2.1 + 06.15.00 for the 3G?
     
  2. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #2
    Nothing so far. I think you have to stuck with this baseband for now.
     
  3. eastercat, Apr 5, 2011
    Last edited: Apr 5, 2011

    eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #3
    Do a search on bootrom. IIRC, 3G phones with the old bootrom can downgrade bb. However, it's only found in about 10% of 3G phones sold. Can't hurt to try.

    BTW, the ipad bb killing gps is a well-known issue. So is the issue of not being able to downgrade bb in normal circumstances.

    ETA:sorry, bootloader, not bootrom
     
  4. kriista1234 thread starter macrumors regular

    Joined:
    Jan 12, 2008
    #4
    Is 4.2.1 the last 3G firmware?

    This 06.15.00 baseband sucks! It wasn't until recently that I even realized the iPhone could do GPS without a data plan (I'm on a 'pay as you go plan') so I didn't think twice about upgrading to the iPad baseband.
     
  5. kriista1234 thread starter macrumors regular

    Joined:
    Jan 12, 2008
    #5
    According to this you can downgrade your 06.15.00 if you have an old bootloader.

    http://www.youtube.com/watch?v=3gxJrggEVI4

    I downloaded fuzzyband and it says I can downgrade (I've not pressed it yet as I don't want to mess things up further).

    Anyone try this?
     
  6. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #6
    4.2.1 is the latest IOS for 3G.

    Since your phone has been jailbroken/unlocked. Download Fuzzyband from Cydia and run it to see if you lucky enough to have a bootloader 05.08 on your phone. If you do, you can use Fuzzyband to downgrade your baseband.

    Good luck!
     
  7. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #7
    Wow. You are really that lucky person. Yes, use fuzzyband to downgrade your baseband.
     
  8. kriista1234 thread starter macrumors regular

    Joined:
    Jan 12, 2008
    #8
    It said I could do it but when I hit downgrade it said it couldn't.

    Taking a look at this at the moment:

    http://www.ihackintosh.com/2011/01/...-05-13-xx-iphone-3g-with-bootloader-5-8-only/

    I installed 3G Fuzzyband (which shows app version as 1.0) where as that link above shows fuzzyband as 4.1

    With the 1.0 fuzzyband it didn't show my baseband (it said "null / null"). Gonna see if adding this certificate thing works.

    I'm hopefully that fuzzyband didn't tell me I couldn't from the start though.
     
  9. kriista1234 thread starter macrumors regular

    Joined:
    Jan 12, 2008
    #9
    Shucks, turns out I'm on baseband 5.09 and can't do it.
     
  10. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #10
    Yeah. Fuzzyband only works for bootloader 05.08 or lower.
     
  11. caglarutku macrumors newbie

    Joined:
    Jun 22, 2012
    #12
    BB 06.15.00 Bootloader 05.09 to BB 05.13.04 is POSSIBLE!!!

    Yes, it is possible. I just downgraded from 06.15.00 Bootloader 5.9 to Baseband 05.13.04. No problem at all :cool:

    http://www.redmondpie.com/how-to-downgrade-iphone-3gs-3g-06.15.00-to-05.13.04-baseband-for-unlock-and-working-gps/
     

Share This Page